[SOLVED]DSM 4.2-3202 on ESXi 5.1 , VPN server not work.


Recommended Posts

I've success to install DSM 4.2 -3202 on ESXi 5.1 , everything work fine. Except the VPN server.

I try to download the VPN server package and setup PPTP , not success.

I try to connect it via iPhone , Windows , Linux. All can't connect.

 

I google this issue , find out many post regarding to VPN problem on 3202

Some user report that , once apply the patch that provide by Synology , VPN work it again.

 

http://forum.synology.com/enu/viewtopic ... 73&t=65584

 

Patch file path :

ftp://on-line:online_user@ftp.synology. ... pnpass.pat

 

I look into the patch file and SSH to my DSM4.2 on ESXi , i try to run the patch file. And find that when I run :

 

uname -r

 

It should return the Kernal number 2.6.x , but now , it return 3.2.30 instead.

Can anyone help me?

 

Thanks

Kevin Lo

Link to post
Share on other sites

Hi sorry I'll not taking about the VPN but how did your install the 4.2 on esxi 5.1 ? did you use a RDM or a virtual disk for data ? I tried to do it but Xpenology don't recognise the virtual data disk and i can't install the system...Thanks in advance

Link to post
Share on other sites
No one have this VPN problem on DSM 4.2 ?

 

Yes I have the same problem. I saw somewhere it was in the firmware, there was a patch for a real synology but I think it will implement in the future version of xpenology..

Link to post
Share on other sites
  • 2 weeks later...

Hi guys

i have the exact same problem!

DSM 4.2 on ESXI 5.1 - VPN not working! :sad: (got something like "the communication device -or server- prematurely closed the connection...something"

 

if anyone finds/found a solution, please share it!

 

on my ESXI, here is what i did:

1 HDD on which i installed ESXI and the Datastore

2HDD as RDM to install the .pat DSM

It took me a while to get that --> change the SCSI to PARAVIRTUAL !

(for the other steps, follow the idiot's guide of Tuatara or ask here - if i can help you)

Link to post
Share on other sites
  • 3 months later...

the solution is to ditch the outdated build that got salvaged many months back. no point in sticking the epinephrine pen into thus. 4.2 3211 is the last of the mohicans. only x64 trantor builds work. the slapper is only admin accts work for vpn. with 4.3 not coming out anytime soon. this is all there is. the real synology boxes dont have this issue.

Link to post
Share on other sites
  • 1 month later...
the solution is to ditch the outdated build that got salvaged many months back. no point in sticking the epinephrine pen into thus. 4.2 3211 is the last of the mohicans. only x64 trantor builds work. the slapper is only admin accts work for vpn. with 4.3 not coming out anytime soon. this is all there is. the real synology boxes dont have this issue.

 

 

4.3 is out anyone ported it?

Link to post
Share on other sites